summaryrefslogtreecommitdiff
path: root/app-emulation
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
commit7224c1253228e5c29c78cb3f0f26ce34770f2356 (patch)
tree1684924656132935256e034f35f92abee6623265 /app-emulation
Added ebuilds for kogaion desktop
Diffstat (limited to 'app-emulation')
-rw-r--r--app-emulation/packettracer/Manifest2
-rw-r--r--app-emulation/packettracer/packettracer-533.ebuild102
-rw-r--r--app-emulation/playonlinux/Manifest16
-rw-r--r--app-emulation/playonlinux/playonlinux-4.1.0.ebuild106
-rw-r--r--app-emulation/playonlinux/playonlinux-4.1.1.ebuild106
-rw-r--r--app-emulation/playonlinux/playonlinux-4.1.3.ebuild110
-rw-r--r--app-emulation/playonlinux/playonlinux-4.1.4.ebuild110
-rw-r--r--app-emulation/playonlinux/playonlinux-4.1.5.ebuild110
-rw-r--r--app-emulation/playonlinux/playonlinux-4.1.6.ebuild132
-rw-r--r--app-emulation/playonlinux/playonlinux-4.1.8.ebuild133
-rw-r--r--app-emulation/playonlinux/playonlinux-4.2.1.ebuild133
-rw-r--r--app-emulation/steam/Manifest1
-rw-r--r--app-emulation/steam/steam-1.0.0.45.ebuild41
13 files changed, 1102 insertions, 0 deletions
diff --git a/app-emulation/packettracer/Manifest b/app-emulation/packettracer/Manifest
new file mode 100644
index 00000000..ff160046
--- /dev/null
+++ b/app-emulation/packettracer/Manifest
@@ -0,0 +1,2 @@
+DIST PacketTracer533_Generic_Fedora.tar.gz 105596078 RMD160 4f38b8ffcc2da286664a902da85d22c9952e4268 SHA1 9f1c348feb86ec3419e0d9c6cd5327ff26197ad4 SHA256 63bc7c285d1dd34dbd2fb00537456097a238ffcd530f1282f78b225273a03fdf
+EBUILD packettracer-533.ebuild 2663 RMD160 11322bd76e11043a89afb1a831428bc58bbe9c2a SHA1 a00b86b060b950772ba2e171932de9767e80c9fd SHA256 b2894b3747e493bacf0389973c5959e8a0a7141519b3ea98324e0937b777f63a
diff --git a/app-emulation/packettracer/packettracer-533.ebuild b/app-emulation/packettracer/packettracer-533.ebuild
new file mode 100644
index 00000000..99064db2
--- /dev/null
+++ b/app-emulation/packettracer/packettracer-533.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+MY_PN="PacketTracer"
+MY_PT="${MY_PN}${PV}"
+
+inherit eutils fdo-mime multilib
+
+DESCRIPTION="Cisco's Packet Tracer"
+HOMEPAGE="https://www.cisco.com/web/learning/netacad/course_catalog/PacketTracer.html"
+SRC_URI="http://pkg.rogentos.ro/~rogentos/${CATEGORY}/${MY_PT}_Generic_Fedora.tar.gz"
+
+RESTRICT="fetch mirror strip"
+LICENSE="Cisco_EULA"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc online-exam"
+
+DEPEND="app-arch/gzip"
+
+RDEPEND="doc? ( www-plugins/adobe-flash )
+ amd64? ( app-emulation/emul-linux-x86-compat
+ >=app-emulation/emul-linux-x86-qtlibs-20081109 )
+ !<app-emulation/packettracer-53"
+
+S="${WORKDIR}"
+
+pkg_setup () {
+ # This is a binary x86 package => ABI=x86
+ has_multilib_profile && ABI="x86"
+}
+
+pkg_nofetch () {
+ ewarn "To fetch sources you need cisco account which is available in case"
+ ewarn "you are cisco web-learning student, instructor or you sale cisco hardware, etc.. "
+ einfo ""
+ einfo ""
+ einfo "After that point your browser at http://cisco.netacad.net/"
+ einfo "Login, go to PacketTracer image and download:"
+ einfo "Packet Tracer v5.3.2 Application + Tutorial Generic Fedora links (tar.gz) file"
+ einfo ""
+}
+
+src_prepare(){
+
+ for file in install set_ptenv.sh tpl.linguist tpl.packettracer \
+ extensions/ptaplayer bin/linguist; do
+ rm -fr ${file} || die "unable to rm ${file}"
+ done
+ use !doc && rm -fr "${S}/"help/default/tutorials
+}
+
+src_install () {
+
+ local PKT_HOME="/opt/pt/"
+
+ dodir "${PKT_HOME}"
+ cp -R "${S}"/* "${D}${PKT_HOME}" || die "Install failed!"
+
+ doicon "${S}/${PN}-${PV}/art/"{app,pka,pkt,pkz}.{ico,png}
+
+ make_wrapper packettracer "./bin/PacketTracer5" "${PKT_HOME}${P}" "${PKT_HOME}${P}/lib"
+ make_desktop_entry "packettracer" "PacketTracer" "app" "Education;Emulator"
+
+ insinto /usr/share/mime/applications
+ doins "${D}${PKT_HOME}${P}/bin/"*.xml
+
+ rm -f "${D}${PKT_HOME}${MY_NAME}bin/"*.xml
+
+ dodir /etc/env.d
+ echo PT5HOME="${PKT_HOME}/${P}" > "${D}/etc/env.d/50${MY_PN}" || die "env.d files install failed"
+}
+
+pkg_postinst(){
+
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+
+ if use doc ; then
+ einfo " You have doc USE flag"
+ einfo " For use documentaion , please"
+ einfo " install you prefered brouser and flashplayer support"
+ einfo " such mozilla or konqerror"
+ fi
+
+ einfo ""
+ einfo " If you have multiuser enviroment"
+ einfo " you mist configure you firewall to use UPnP protocol."
+ einfo " Additional information see in packettracer user manual "
+
+}
+
+pkg_postrm() {
+
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+
+}
diff --git a/app-emulation/playonlinux/Manifest b/app-emulation/playonlinux/Manifest
new file mode 100644
index 00000000..e40c46f4
--- /dev/null
+++ b/app-emulation/playonlinux/Manifest
@@ -0,0 +1,16 @@
+DIST PlayOnLinux_4.1.0.tar.gz 4010023 SHA256 d4131068ff86342b3fdd3a9e0613aef80500a103f6c5c4f5f4eb7393931e36e5 SHA512 b01cbf25bbb59f606dff7fd5ced5b5f96bf0d856f23353987e667fe2cc168909683cb819b4d8789f2b7561f608dad888f495b7cd679d3c826549871f8fbe673d WHIRLPOOL a19e083a8086203ca18791524a309d63c52910e21afcf06c36b3c7f170f6437550c4ca70900ed1f457bf82d58b26eb04a67a906c4b79261b77cfdcd0f9df1da3
+DIST PlayOnLinux_4.1.1.tar.gz 4010031 SHA256 eb314836ac798c7cbafdc76dc0660b2178610d3dc557d97aa7c72dfc0dee8e63 SHA512 4062f6a507e613bc46a118571fc0c6560b20adf3dd4707f581730bf1877a1fbbb234558bedd2b3be81c5ff8f9429dbc6c2030f9ad5b3b5174ff3908c3d0c43fd WHIRLPOOL 87270a50bc356cccd7347aca78d2fd63812701c8cc407b33b94636e11601d5d1bf9e7fefbf4c86195e1e4fd62506ba8c1a0e4107e93185552410ae6ec5004011
+DIST PlayOnLinux_4.1.3.tar.gz 4191726 SHA256 499bb79067237c238115fb3225d9bcc3b2d2fc62b6b9e2455feeac7a2c783ecd SHA512 0c67241ba659246ffd6b18421e482e028b4871ba0da98ec329599a81587ad18dbd983e3ea419a0c983a330771c78b3c28b76177f67bae530954f8f6419a86439 WHIRLPOOL ac596572aadf7e5a9fbbad3ddf5eec739af1555032e7d60a27840204cf201799684a38cc3d9761fae3f240d92fd886cab5d3d72e19a458c1b378111c0785568e
+DIST PlayOnLinux_4.1.4.tar.gz 3999026 SHA256 304b2bb3431bc3d516976938bc633d4bbe2327e04c869f3bdfba05e232edab53 SHA512 f330602116efa25910f9e459a07ec59938fbc85e8d400fd6def7b48cac525ebd187b19eb9202f1801b56cd9d3dd8e6a5f8d664840afb973774ed540953705204 WHIRLPOOL d8bd7ad3e9b7b9ca27799fbfa7a651458e6569688c1d828c36e530c3119304d4f2331fb69f762e31285e5f5f35a8a37c5faf2bed05cf4fbed16d9dc642ce521f
+DIST PlayOnLinux_4.1.5.tar.gz 3994564 SHA256 8a01cbb39bf6bae6d763bcf561bd8231eb462a85c73b804b599aab9561f8a981 SHA512 ae9e906a19a0daf26dee5656eb758f8fc6b864ca5a8fb88281b3b2c9543a06b352df72428e7028ec77cb1656aae01bc62ce443f45e62177c3a80e45d813e6de0 WHIRLPOOL 83137f970375ad9d061d741048ba928e6fd4ae489a3ef90aac57e16d00403f367925fc5ccb23fa5f11aa07503288a0097b77516196722245e5385b2b89c23774
+DIST PlayOnLinux_4.1.6.tar.gz 3994906 SHA256 e245d7b2f8255df21c3866cab45d2445b5759da6066e9c29b6b92cb4b0d2997c SHA512 a8a150d80b0c4eeb56809286b9f71360aaebca9a7ce7ad5d81fb4cd47e8c889dcdfaaa4d9b3fd0448541248e53b7c9103c49f2cf71346cd9ad2b3a054fac1983 WHIRLPOOL aa7977224ad3a55da79f4a0054c716b8916c5b76ab005341519021ea6d498857fc5a501f9a54309ee84ef7f47acc63a6de0801e415e61dcc870da7c3a2cf1bfe
+DIST PlayOnLinux_4.1.8.tar.gz 4001263 SHA256 da7c5a92f19e3d72f393979a37b8c7ac7104765081c092ffeb855190742b2ec3 SHA512 027ff8adfc7bc9392c4353fbbf36f3b7adb2e0d64f550abca00d3f77d5b8fa387fce4965aa48f147b0492ba07a79f2271a5ab4b05f501752f9d8b94e3016ce43 WHIRLPOOL 1abe6b84da2455f06706f41bcd4e6c3f6f504a26e8eb8891d876fcb118825e51ee0fcf4043c63248869c78875e79f8732f38bd7a7c581d1d3ca7465dc7f0d56b
+DIST PlayOnLinux_4.2.1.tar.gz 4308243 SHA256 c6e6622afc502cbd89f0d274055282c6a4d696273f167a76acba76a04e9cb0bb SHA512 ece0987275862530665eaeaa37b20ea3a14e367c19399c6024c55130dd7bc29200c5459ab72b42d2f410355793bf2166348aecb691f8179191ccac57217f9ba7 WHIRLPOOL 834f375aa1b8daf2e738368c48bd75d9a78931f6379c5184632061a8f50a1d89c91d69f317b51856489621ca14701ce38a32a3631737cb2b33453e001d2ea9e8
+EBUILD playonlinux-4.1.0.ebuild 3250 SHA256 7f08256fa84270ac721f5480c77cf645db95b70dac6872f73dd991815f53e5f9 SHA512 5ab56ff5a2aaf980d3a78d603c0bf6bbf5659cf13feb4a6e56ee51e88a44a53a39cc37c732e03bf08a6f7d2212ef7ae270351ccaa3f285efee091f894ded2a9c WHIRLPOOL 141266ff3f00ffd4b508cd29107a1a30dce67ebf24d240624a46b85322a42e08b6e2e8f7165568fb3645b3f7eb9ee558a2a6ad33434706e61deb39b8cda6b9f8
+EBUILD playonlinux-4.1.1.ebuild 3250 SHA256 7f08256fa84270ac721f5480c77cf645db95b70dac6872f73dd991815f53e5f9 SHA512 5ab56ff5a2aaf980d3a78d603c0bf6bbf5659cf13feb4a6e56ee51e88a44a53a39cc37c732e03bf08a6f7d2212ef7ae270351ccaa3f285efee091f894ded2a9c WHIRLPOOL 141266ff3f00ffd4b508cd29107a1a30dce67ebf24d240624a46b85322a42e08b6e2e8f7165568fb3645b3f7eb9ee558a2a6ad33434706e61deb39b8cda6b9f8
+EBUILD playonlinux-4.1.3.ebuild 3165 SHA256 26c7cd150609af528a8d920a21c588c705528d48b405c47e5184b8d4204ffab7 SHA512 6bcceb8a486fa7039e85078e8a4918720bb409edbe270d068b3c0f0d9dba748a0c428d01f34e96721a8b83c915bd3c17648ddb939b43d9b389179b834816ecae WHIRLPOOL 15832b55cfab3d64a9adff219937a1f7360f5bd3ebd58aa8730a42dcf398112980e7a1f4f95bc8a14ca97cb3acb0c2a9585ddd26da66aae49a8921621f3fc9dd
+EBUILD playonlinux-4.1.4.ebuild 3165 SHA256 26c7cd150609af528a8d920a21c588c705528d48b405c47e5184b8d4204ffab7 SHA512 6bcceb8a486fa7039e85078e8a4918720bb409edbe270d068b3c0f0d9dba748a0c428d01f34e96721a8b83c915bd3c17648ddb939b43d9b389179b834816ecae WHIRLPOOL 15832b55cfab3d64a9adff219937a1f7360f5bd3ebd58aa8730a42dcf398112980e7a1f4f95bc8a14ca97cb3acb0c2a9585ddd26da66aae49a8921621f3fc9dd
+EBUILD playonlinux-4.1.5.ebuild 3165 SHA256 26c7cd150609af528a8d920a21c588c705528d48b405c47e5184b8d4204ffab7 SHA512 6bcceb8a486fa7039e85078e8a4918720bb409edbe270d068b3c0f0d9dba748a0c428d01f34e96721a8b83c915bd3c17648ddb939b43d9b389179b834816ecae WHIRLPOOL 15832b55cfab3d64a9adff219937a1f7360f5bd3ebd58aa8730a42dcf398112980e7a1f4f95bc8a14ca97cb3acb0c2a9585ddd26da66aae49a8921621f3fc9dd
+EBUILD playonlinux-4.1.6.ebuild 3877 SHA256 e87178cc076c52394f9d0f4d57043fd9092d31a4565acba067aa2be21b149dca SHA512 2b8e6c4052520c7945fb44bdd33ece1a81779a90d750f1e80c25aea2ffadfb9ca1aaac163a49fcce3dd1e6a407bb9128fc633d244be46ee289c8e1ccb1dae8f4 WHIRLPOOL ed2cad5a6222dc50e985af091a1acada23010482095d5878ad98ef386c069ed8e21ac8da16dd298a1b36f70be5b75397042ed5c4a18411ed6b1b157f8c2ba15b
+EBUILD playonlinux-4.1.8.ebuild 3899 SHA256 b075d953c378b16af80ca7e048a1334d0754a71b40cdee0acf363444f86fd848 SHA512 0b4e8ef6ec8e77b99befb28e7befa79f5e426c3da038206abdb624c13ff3daaa8c77b50f13d178973a45f634b7bbc4dffce5e65a69be28132a9127142dd94974 WHIRLPOOL e950e7f5e17333adb6dddf158780055d31909c70b404a1aef8d271c6c917bfe70d2c35cdd589d1148535fcc15a12ca6973848376a5b451c4d83c8977e074cdb2
+EBUILD playonlinux-4.2.1.ebuild 3899 SHA256 b075d953c378b16af80ca7e048a1334d0754a71b40cdee0acf363444f86fd848 SHA512 0b4e8ef6ec8e77b99befb28e7befa79f5e426c3da038206abdb624c13ff3daaa8c77b50f13d178973a45f634b7bbc4dffce5e65a69be28132a9127142dd94974 WHIRLPOOL e950e7f5e17333adb6dddf158780055d31909c70b404a1aef8d271c6c917bfe70d2c35cdd589d1148535fcc15a12ca6973848376a5b451c4d83c8977e074cdb2
diff --git a/app-emulation/playonlinux/playonlinux-4.1.0.ebuild b/app-emulation/playonlinux/playonlinux-4.1.0.ebuild
new file mode 100644
index 00000000..a8ef12cf
--- /dev/null
+++ b/app-emulation/playonlinux/playonlinux-4.1.0.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="3"
+PYTHON_DEPEND="2"
+
+inherit eutils python games
+
+MY_PN="PlayOnLinux"
+
+DESCRIPTION="set of scripts to easily install and use Windows games and software"
+HOMEPAGE="http://playonlinux.com/"
+SRC_URI="http://www.playonlinux.com/script_files/${MY_PN}/${PV}/${MY_PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="app-emulation/wine
+ app-arch/cabextract
+ app-arch/unzip
+ dev-python/wxpython:2.8
+ || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] )
+ net-misc/wget
+ x11-apps/mesa-progs
+ x11-terms/xterm"
+
+S=${WORKDIR}/${PN}
+
+# TODO:
+# Having a real install script and let playonlinux use standard filesystem
+# architecture to prevent having everything installed into GAMES_DATADIR
+# It will let using LANGUAGES easily
+# How to deal with Microsoft Fonts installation asked every time ?
+# How to deal with wine version installed ? (have a better mgmt of system one)
+# Look at debian pkg: http://packages.debian.org/sid/playonlinux
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+ games_pkg_setup
+}
+
+src_prepare() {
+ sed -i -e "s/\(Categories=\).*/\1Game;Emulator;/" etc/PlayOnLinux.desktop \
+ || die "sed failed"
+ sed -e 's/PYTHON="python"/PYTHON="python2"/' -i lib/variables || die "sed failed"
+ python_convert_shebangs -r 2 .
+}
+
+src_install() {
+ # all things without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins -r resources lang lib etc plugins || die "doins failed"
+
+ # bash/ install
+ exeinto "${GAMES_DATADIR}/${PN}/bash"
+ doexe bash/* || die "doexe failed"
+ exeinto "${GAMES_DATADIR}/${PN}/bash/terminals"
+ doexe bash/terminals/* || die "doexe failed"
+ exeinto "${GAMES_DATADIR}/${PN}/bash/expert"
+ doexe bash/expert/* || die "doexe failed"
+
+ # python/ install
+ exeinto "${GAMES_DATADIR}/${PN}/python"
+ doexe python/* || die "doexe failed"
+ # sub dir without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}/python"
+ doins -r python/lib || die "doins failed"
+
+ # main executable files
+ exeinto "${GAMES_DATADIR}/${PN}"
+ doexe ${PN}{,-pkg,-bash,-shell,-url_handler} || die "doexe failed"
+
+ # making a script to run playonlinux from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN} \$*" >> ${PN}_launcher
+ newgamesbin playonlinux_launcher playonlinux || die "newgamesbin failed"
+
+ # making a script to run playonlinux-cmd from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_cmd_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN}-cmd \$*" >> ${PN}_cmd_launcher
+ newgamesbin playonlinux_cmd_launcher playonlinux-cmd || die "newgamesbin failed"
+
+ dodoc CHANGELOG || die "dodoc failed"
+
+ doicon etc/${PN}.png || die "doicon failed"
+ domenu etc/${MY_PN}.desktop || die "domenu failed"
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ python_mod_optimize "${GAMES_DATADIR}/${PN}"
+}
+
+pkg_postrm() {
+ python_mod_cleanup "${GAMES_DATADIR}/${PN}"
+
+ ewarn "Installed softwares and games with playonlinux have not been removed."
+ ewarn "To remove them, you can re-install playonlinux and remove them using it"
+ ewarn "or do it manually by removing .PlayOnLinux/ in your home directory."
+}
diff --git a/app-emulation/playonlinux/playonlinux-4.1.1.ebuild b/app-emulation/playonlinux/playonlinux-4.1.1.ebuild
new file mode 100644
index 00000000..a8ef12cf
--- /dev/null
+++ b/app-emulation/playonlinux/playonlinux-4.1.1.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="3"
+PYTHON_DEPEND="2"
+
+inherit eutils python games
+
+MY_PN="PlayOnLinux"
+
+DESCRIPTION="set of scripts to easily install and use Windows games and software"
+HOMEPAGE="http://playonlinux.com/"
+SRC_URI="http://www.playonlinux.com/script_files/${MY_PN}/${PV}/${MY_PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="app-emulation/wine
+ app-arch/cabextract
+ app-arch/unzip
+ dev-python/wxpython:2.8
+ || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] )
+ net-misc/wget
+ x11-apps/mesa-progs
+ x11-terms/xterm"
+
+S=${WORKDIR}/${PN}
+
+# TODO:
+# Having a real install script and let playonlinux use standard filesystem
+# architecture to prevent having everything installed into GAMES_DATADIR
+# It will let using LANGUAGES easily
+# How to deal with Microsoft Fonts installation asked every time ?
+# How to deal with wine version installed ? (have a better mgmt of system one)
+# Look at debian pkg: http://packages.debian.org/sid/playonlinux
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+ games_pkg_setup
+}
+
+src_prepare() {
+ sed -i -e "s/\(Categories=\).*/\1Game;Emulator;/" etc/PlayOnLinux.desktop \
+ || die "sed failed"
+ sed -e 's/PYTHON="python"/PYTHON="python2"/' -i lib/variables || die "sed failed"
+ python_convert_shebangs -r 2 .
+}
+
+src_install() {
+ # all things without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins -r resources lang lib etc plugins || die "doins failed"
+
+ # bash/ install
+ exeinto "${GAMES_DATADIR}/${PN}/bash"
+ doexe bash/* || die "doexe failed"
+ exeinto "${GAMES_DATADIR}/${PN}/bash/terminals"
+ doexe bash/terminals/* || die "doexe failed"
+ exeinto "${GAMES_DATADIR}/${PN}/bash/expert"
+ doexe bash/expert/* || die "doexe failed"
+
+ # python/ install
+ exeinto "${GAMES_DATADIR}/${PN}/python"
+ doexe python/* || die "doexe failed"
+ # sub dir without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}/python"
+ doins -r python/lib || die "doins failed"
+
+ # main executable files
+ exeinto "${GAMES_DATADIR}/${PN}"
+ doexe ${PN}{,-pkg,-bash,-shell,-url_handler} || die "doexe failed"
+
+ # making a script to run playonlinux from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN} \$*" >> ${PN}_launcher
+ newgamesbin playonlinux_launcher playonlinux || die "newgamesbin failed"
+
+ # making a script to run playonlinux-cmd from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_cmd_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN}-cmd \$*" >> ${PN}_cmd_launcher
+ newgamesbin playonlinux_cmd_launcher playonlinux-cmd || die "newgamesbin failed"
+
+ dodoc CHANGELOG || die "dodoc failed"
+
+ doicon etc/${PN}.png || die "doicon failed"
+ domenu etc/${MY_PN}.desktop || die "domenu failed"
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ python_mod_optimize "${GAMES_DATADIR}/${PN}"
+}
+
+pkg_postrm() {
+ python_mod_cleanup "${GAMES_DATADIR}/${PN}"
+
+ ewarn "Installed softwares and games with playonlinux have not been removed."
+ ewarn "To remove them, you can re-install playonlinux and remove them using it"
+ ewarn "or do it manually by removing .PlayOnLinux/ in your home directory."
+}
diff --git a/app-emulation/playonlinux/playonlinux-4.1.3.ebuild b/app-emulation/playonlinux/playonlinux-4.1.3.ebuild
new file mode 100644
index 00000000..0fdcc7e6
--- /dev/null
+++ b/app-emulation/playonlinux/playonlinux-4.1.3.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/playonlinux/playonlinux-4.1.1.ebuild,v 1.1 2012/06/16 19:12:24 pacho Exp $
+
+EAPI="4"
+PYTHON_DEPEND="2"
+
+inherit eutils python games
+
+MY_PN="PlayOnLinux"
+
+DESCRIPTION="Set of scripts to easily install and use Windows games and software"
+HOMEPAGE="http://playonlinux.com/"
+SRC_URI="http://www.playonlinux.com/script_files/${MY_PN}/${PV}/${MY_PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="winbind"
+
+DEPEND=""
+RDEPEND="app-emulation/wine
+ app-arch/cabextract
+ app-arch/p7zip
+ app-arch/unzip
+ app-crypt/gnupg
+ dev-python/wxpython:2.8
+ || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] )
+ net-misc/wget
+ x11-apps/mesa-progs
+ x11-terms/xterm
+ media-gfx/icoutils
+ winbind? ( net-fs/samba[winbind] ) "
+
+S=${WORKDIR}/${PN}
+
+# TODO:
+# Having a real install script and let playonlinux use standard filesystem
+# architecture to prevent having everything installed into GAMES_DATADIR
+# It will let using LANGUAGES easily
+# How to deal with Microsoft Fonts installation asked every time ?
+# How to deal with wine version installed ? (have a better mgmt of system one)
+# Look at debian pkg: http://packages.debian.org/sid/playonlinux
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+ games_pkg_setup
+}
+
+src_prepare() {
+ sed -i -e "s/\(Categories=\).*/\1Game;Emulator;/" etc/PlayOnLinux.desktop \
+ || die
+ sed -e 's/PYTHON="python"/PYTHON="python2"/' -i lib/variables playonlinux || die
+ python_convert_shebangs -r 2 .
+}
+
+src_install() {
+ # all things without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins -r resources lang lib etc plugins
+
+ # bash/ install
+ exeinto "${GAMES_DATADIR}/${PN}/bash"
+ doexe bash/*
+ #exeinto "${GAMES_DATADIR}/${PN}/bash/terminals"
+ #doexe bash/terminals/*
+ exeinto "${GAMES_DATADIR}/${PN}/bash/expert"
+ doexe bash/expert/*
+
+ # python/ install
+ exeinto "${GAMES_DATADIR}/${PN}/python"
+ doexe python/*
+ # sub dir without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}/python"
+ doins -r python/lib
+
+ # main executable files
+ exeinto "${GAMES_DATADIR}/${PN}"
+ doexe ${PN}{,-pkg,-bash,-shell,-url_handler}
+
+ # making a script to run playonlinux from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN} \$*" >> ${PN}_launcher
+ newgamesbin playonlinux_launcher playonlinux
+
+ # making a script to run playonlinux-cmd from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_cmd_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN}-cmd \$*" >> ${PN}_cmd_launcher
+ newgamesbin playonlinux_cmd_launcher playonlinux-cmd
+
+ dodoc CHANGELOG
+
+ doicon etc/${PN}.png
+ domenu etc/${MY_PN}.desktop
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ python_mod_optimize "${GAMES_DATADIR}/${PN}"
+}
+
+pkg_postrm() {
+ python_mod_cleanup "${GAMES_DATADIR}/${PN}"
+
+ elog "Installed softwares and games with playonlinux have not been removed."
+ elog "To remove them, you can re-install playonlinux and remove them using it"
+ elog "or do it manually by removing .PlayOnLinux/ in your home directory."
+}
diff --git a/app-emulation/playonlinux/playonlinux-4.1.4.ebuild b/app-emulation/playonlinux/playonlinux-4.1.4.ebuild
new file mode 100644
index 00000000..0fdcc7e6
--- /dev/null
+++ b/app-emulation/playonlinux/playonlinux-4.1.4.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/playonlinux/playonlinux-4.1.1.ebuild,v 1.1 2012/06/16 19:12:24 pacho Exp $
+
+EAPI="4"
+PYTHON_DEPEND="2"
+
+inherit eutils python games
+
+MY_PN="PlayOnLinux"
+
+DESCRIPTION="Set of scripts to easily install and use Windows games and software"
+HOMEPAGE="http://playonlinux.com/"
+SRC_URI="http://www.playonlinux.com/script_files/${MY_PN}/${PV}/${MY_PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="winbind"
+
+DEPEND=""
+RDEPEND="app-emulation/wine
+ app-arch/cabextract
+ app-arch/p7zip
+ app-arch/unzip
+ app-crypt/gnupg
+ dev-python/wxpython:2.8
+ || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] )
+ net-misc/wget
+ x11-apps/mesa-progs
+ x11-terms/xterm
+ media-gfx/icoutils
+ winbind? ( net-fs/samba[winbind] ) "
+
+S=${WORKDIR}/${PN}
+
+# TODO:
+# Having a real install script and let playonlinux use standard filesystem
+# architecture to prevent having everything installed into GAMES_DATADIR
+# It will let using LANGUAGES easily
+# How to deal with Microsoft Fonts installation asked every time ?
+# How to deal with wine version installed ? (have a better mgmt of system one)
+# Look at debian pkg: http://packages.debian.org/sid/playonlinux
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+ games_pkg_setup
+}
+
+src_prepare() {
+ sed -i -e "s/\(Categories=\).*/\1Game;Emulator;/" etc/PlayOnLinux.desktop \
+ || die
+ sed -e 's/PYTHON="python"/PYTHON="python2"/' -i lib/variables playonlinux || die
+ python_convert_shebangs -r 2 .
+}
+
+src_install() {
+ # all things without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins -r resources lang lib etc plugins
+
+ # bash/ install
+ exeinto "${GAMES_DATADIR}/${PN}/bash"
+ doexe bash/*
+ #exeinto "${GAMES_DATADIR}/${PN}/bash/terminals"
+ #doexe bash/terminals/*
+ exeinto "${GAMES_DATADIR}/${PN}/bash/expert"
+ doexe bash/expert/*
+
+ # python/ install
+ exeinto "${GAMES_DATADIR}/${PN}/python"
+ doexe python/*
+ # sub dir without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}/python"
+ doins -r python/lib
+
+ # main executable files
+ exeinto "${GAMES_DATADIR}/${PN}"
+ doexe ${PN}{,-pkg,-bash,-shell,-url_handler}
+
+ # making a script to run playonlinux from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN} \$*" >> ${PN}_launcher
+ newgamesbin playonlinux_launcher playonlinux
+
+ # making a script to run playonlinux-cmd from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_cmd_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN}-cmd \$*" >> ${PN}_cmd_launcher
+ newgamesbin playonlinux_cmd_launcher playonlinux-cmd
+
+ dodoc CHANGELOG
+
+ doicon etc/${PN}.png
+ domenu etc/${MY_PN}.desktop
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ python_mod_optimize "${GAMES_DATADIR}/${PN}"
+}
+
+pkg_postrm() {
+ python_mod_cleanup "${GAMES_DATADIR}/${PN}"
+
+ elog "Installed softwares and games with playonlinux have not been removed."
+ elog "To remove them, you can re-install playonlinux and remove them using it"
+ elog "or do it manually by removing .PlayOnLinux/ in your home directory."
+}
diff --git a/app-emulation/playonlinux/playonlinux-4.1.5.ebuild b/app-emulation/playonlinux/playonlinux-4.1.5.ebuild
new file mode 100644
index 00000000..0fdcc7e6
--- /dev/null
+++ b/app-emulation/playonlinux/playonlinux-4.1.5.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/playonlinux/playonlinux-4.1.1.ebuild,v 1.1 2012/06/16 19:12:24 pacho Exp $
+
+EAPI="4"
+PYTHON_DEPEND="2"
+
+inherit eutils python games
+
+MY_PN="PlayOnLinux"
+
+DESCRIPTION="Set of scripts to easily install and use Windows games and software"
+HOMEPAGE="http://playonlinux.com/"
+SRC_URI="http://www.playonlinux.com/script_files/${MY_PN}/${PV}/${MY_PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="winbind"
+
+DEPEND=""
+RDEPEND="app-emulation/wine
+ app-arch/cabextract
+ app-arch/p7zip
+ app-arch/unzip
+ app-crypt/gnupg
+ dev-python/wxpython:2.8
+ || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] )
+ net-misc/wget
+ x11-apps/mesa-progs
+ x11-terms/xterm
+ media-gfx/icoutils
+ winbind? ( net-fs/samba[winbind] ) "
+
+S=${WORKDIR}/${PN}
+
+# TODO:
+# Having a real install script and let playonlinux use standard filesystem
+# architecture to prevent having everything installed into GAMES_DATADIR
+# It will let using LANGUAGES easily
+# How to deal with Microsoft Fonts installation asked every time ?
+# How to deal with wine version installed ? (have a better mgmt of system one)
+# Look at debian pkg: http://packages.debian.org/sid/playonlinux
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+ games_pkg_setup
+}
+
+src_prepare() {
+ sed -i -e "s/\(Categories=\).*/\1Game;Emulator;/" etc/PlayOnLinux.desktop \
+ || die
+ sed -e 's/PYTHON="python"/PYTHON="python2"/' -i lib/variables playonlinux || die
+ python_convert_shebangs -r 2 .
+}
+
+src_install() {
+ # all things without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins -r resources lang lib etc plugins
+
+ # bash/ install
+ exeinto "${GAMES_DATADIR}/${PN}/bash"
+ doexe bash/*
+ #exeinto "${GAMES_DATADIR}/${PN}/bash/terminals"
+ #doexe bash/terminals/*
+ exeinto "${GAMES_DATADIR}/${PN}/bash/expert"
+ doexe bash/expert/*
+
+ # python/ install
+ exeinto "${GAMES_DATADIR}/${PN}/python"
+ doexe python/*
+ # sub dir without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}/python"
+ doins -r python/lib
+
+ # main executable files
+ exeinto "${GAMES_DATADIR}/${PN}"
+ doexe ${PN}{,-pkg,-bash,-shell,-url_handler}
+
+ # making a script to run playonlinux from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN} \$*" >> ${PN}_launcher
+ newgamesbin playonlinux_launcher playonlinux
+
+ # making a script to run playonlinux-cmd from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_cmd_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN}-cmd \$*" >> ${PN}_cmd_launcher
+ newgamesbin playonlinux_cmd_launcher playonlinux-cmd
+
+ dodoc CHANGELOG
+
+ doicon etc/${PN}.png
+ domenu etc/${MY_PN}.desktop
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ python_mod_optimize "${GAMES_DATADIR}/${PN}"
+}
+
+pkg_postrm() {
+ python_mod_cleanup "${GAMES_DATADIR}/${PN}"
+
+ elog "Installed softwares and games with playonlinux have not been removed."
+ elog "To remove them, you can re-install playonlinux and remove them using it"
+ elog "or do it manually by removing .PlayOnLinux/ in your home directory."
+}
diff --git a/app-emulation/playonlinux/playonlinux-4.1.6.ebuild b/app-emulation/playonlinux/playonlinux-4.1.6.ebuild
new file mode 100644
index 00000000..241edd16
--- /dev/null
+++ b/app-emulation/playonlinux/playonlinux-4.1.6.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/playonlinux/playonlinux-4.1.1.ebuild,v 1.1 2012/06/16 19:12:24 pacho Exp $
+
+EAPI="4"
+PYTHON_DEPEND="2"
+
+inherit eutils python games
+
+MY_PN="PlayOnLinux"
+
+DESCRIPTION="Set of scripts to easily install and use Windows games and software"
+HOMEPAGE="http://playonlinux.com/"
+SRC_URI="http://www.playonlinux.com/script_files/${MY_PN}/${PV}/${MY_PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="winbind"
+
+DEPEND=""
+RDEPEND="app-emulation/wine
+ app-arch/cabextract
+ app-arch/p7zip
+ app-arch/unzip
+ app-crypt/gnupg
+ dev-python/wxpython:2.8
+ || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] )
+ net-misc/wget
+ x11-apps/mesa-progs
+ x11-terms/xterm
+ media-gfx/icoutils
+ winbind? ( net-fs/samba[winbind] ) "
+
+S=${WORKDIR}/${PN}
+
+# TODO:
+# Having a real install script and let playonlinux use standard filesystem
+# architecture to prevent having everything installed into GAMES_DATADIR
+# It will let using LANGUAGES easily
+# How to deal with Microsoft Fonts installation asked every time ?
+# How to deal with wine version installed ? (have a better mgmt of system one)
+# Look at debian pkg: http://packages.debian.org/sid/playonlinux
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+ games_pkg_setup
+}
+
+src_prepare() {
+ sed -i -e "s/\(Categories=\).*/\1Game;Emulator;/" etc/PlayOnLinux.desktop \
+ || die
+ sed -e 's/PYTHON="python"/PYTHON="python2"/' -i lib/variables playonlinux || die
+ python_convert_shebangs -r 2 .
+}
+
+src_install() {
+ # all things without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins -r resources lang lib etc plugins
+
+ # bash/ install
+ exeinto "${GAMES_DATADIR}/${PN}/bash"
+ doexe bash/*
+ #exeinto "${GAMES_DATADIR}/${PN}/bash/terminals"
+ #doexe bash/terminals/*
+ exeinto "${GAMES_DATADIR}/${PN}/bash/expert"
+ doexe bash/expert/*
+
+ # python/ install
+ exeinto "${GAMES_DATADIR}/${PN}/python"
+ doexe python/*
+ # sub dir without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}/python"
+ doins -r python/lib
+
+ # main executable files
+ exeinto "${GAMES_DATADIR}/${PN}"
+ doexe ${PN}{,-pkg,-bash,-shell,-url_handler}
+
+ # making a script to run playonlinux from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN} \$*" >> ${PN}_launcher
+ newgamesbin playonlinux_launcher playonlinux
+
+ # making a script to run playonlinux-cmd from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_cmd_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN}-cmd \$*" >> ${PN}_cmd_launcher
+ newgamesbin playonlinux_cmd_launcher playonlinux-cmd
+
+ dodoc CHANGELOG
+
+ doicon etc/${PN}.png
+ domenu etc/${MY_PN}.desktop
+ prepgamesdirs
+
+ if [ -f "/usr/bin/python2.6" ]; then
+ addwrite /usr/local/bin/
+ if [ ! -f "/usr/local/bin/python2.6" ]; then
+ dosym /usr/bin/python2.6 /usr/local/bin/ || die
+ else
+ echo "The file already existed"
+ rm /usr/local/bin/python2.6 || die
+ dosym /usr/bin/python2.6 /usr/local/bin/ || die
+ echo "Replaced it"
+ fi
+ if [ ! -f "/usr/local/bin/python2.6-config" ]; then
+ dosym /usr/bin/python-config-2.6 /usr/local/bin/python2.6-config || die
+ else
+ echo "The file already existed"
+ rm /usr/local/bin/python2.6-config || die
+ dosym /usr/bin/python-config-2.6 /usr/local/bin/python2.6-config || die
+ echo "Replaced it"
+ fi
+ else
+ ewarn "There is no python2.6, you should emerge python2.6"
+ fi
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ python_mod_optimize "${GAMES_DATADIR}/${PN}"
+}
+
+pkg_postrm() {
+ python_mod_cleanup "${GAMES_DATADIR}/${PN}"
+
+ elog "Installed softwares and games with playonlinux have not been removed."
+ elog "To remove them, you can re-install playonlinux and remove them using it"
+ elog "or do it manually by removing .PlayOnLinux/ in your home directory."
+}
diff --git a/app-emulation/playonlinux/playonlinux-4.1.8.ebuild b/app-emulation/playonlinux/playonlinux-4.1.8.ebuild
new file mode 100644
index 00000000..8b22bda7
--- /dev/null
+++ b/app-emulation/playonlinux/playonlinux-4.1.8.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/playonlinux/playonlinux-4.1.1.ebuild,v 1.1 2012/06/16 19:12:24 pacho Exp $
+
+EAPI="4"
+PYTHON_DEPEND="2"
+
+inherit eutils python games
+
+MY_PN="PlayOnLinux"
+
+DESCRIPTION="Set of scripts to easily install and use Windows games and software"
+HOMEPAGE="http://playonlinux.com/"
+SRC_URI="http://www.playonlinux.com/script_files/${MY_PN}/${PV}/${MY_PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="winbind"
+
+DEPEND=""
+RDEPEND="app-emulation/wine
+ app-arch/cabextract
+ app-arch/p7zip
+ app-arch/unzip
+ app-crypt/gnupg
+ net-analyzer/netcat6
+ dev-python/wxpython:2.8
+ || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] )
+ net-misc/wget
+ x11-apps/mesa-progs
+ x11-terms/xterm
+ media-gfx/icoutils
+ winbind? ( net-fs/samba[winbind] ) "
+
+S=${WORKDIR}/${PN}
+
+# TODO:
+# Having a real install script and let playonlinux use standard filesystem
+# architecture to prevent having everything installed into GAMES_DATADIR
+# It will let using LANGUAGES easily
+# How to deal with Microsoft Fonts installation asked every time ?
+# How to deal with wine version installed ? (have a better mgmt of system one)
+# Look at debian pkg: http://packages.debian.org/sid/playonlinux
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+ games_pkg_setup
+}
+
+src_prepare() {
+ sed -i -e "s/\(Categories=\).*/\1Game;Emulator;/" etc/PlayOnLinux.desktop \
+ || die
+ sed -e 's/PYTHON="python"/PYTHON="python2"/' -i lib/variables playonlinux || die
+ python_convert_shebangs -r 2 .
+}
+
+src_install() {
+ # all things without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins -r resources lang lib etc plugins
+
+ # bash/ install
+ exeinto "${GAMES_DATADIR}/${PN}/bash"
+ doexe bash/*
+ #exeinto "${GAMES_DATADIR}/${PN}/bash/terminals"
+ #doexe bash/terminals/*
+ exeinto "${GAMES_DATADIR}/${PN}/bash/expert"
+ doexe bash/expert/*
+
+ # python/ install
+ exeinto "${GAMES_DATADIR}/${PN}/python"
+ doexe python/*
+ # sub dir without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}/python"
+ doins -r python/lib
+
+ # main executable files
+ exeinto "${GAMES_DATADIR}/${PN}"
+ doexe ${PN}{,-pkg,-bash,-shell,-url_handler}
+
+ # making a script to run playonlinux from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN} \$*" >> ${PN}_launcher
+ newgamesbin playonlinux_launcher playonlinux
+
+ # making a script to run playonlinux-cmd from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_cmd_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN}-cmd \$*" >> ${PN}_cmd_launcher
+ newgamesbin playonlinux_cmd_launcher playonlinux-cmd
+
+ dodoc CHANGELOG
+
+ doicon etc/${PN}.png
+ domenu etc/${MY_PN}.desktop
+ prepgamesdirs
+
+ if [ -f "/usr/bin/python2.6" ]; then
+ addwrite /usr/local/bin/
+ if [ ! -f "/usr/local/bin/python2.6" ]; then
+ dosym /usr/bin/python2.6 /usr/local/bin/ || die
+ else
+ echo "The file already existed"
+ rm /usr/local/bin/python2.6 || die
+ dosym /usr/bin/python2.6 /usr/local/bin/ || die
+ echo "Replaced it"
+ fi
+ if [ ! -f "/usr/local/bin/python2.6-config" ]; then
+ dosym /usr/bin/python-config-2.6 /usr/local/bin/python2.6-config || die
+ else
+ echo "The file already existed"
+ rm /usr/local/bin/python2.6-config || die
+ dosym /usr/bin/python-config-2.6 /usr/local/bin/python2.6-config || die
+ echo "Replaced it"
+ fi
+ else
+ ewarn "There is no python2.6, you should emerge python2.6"
+ fi
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ python_mod_optimize "${GAMES_DATADIR}/${PN}"
+}
+
+pkg_postrm() {
+ python_mod_cleanup "${GAMES_DATADIR}/${PN}"
+
+ elog "Installed softwares and games with playonlinux have not been removed."
+ elog "To remove them, you can re-install playonlinux and remove them using it"
+ elog "or do it manually by removing .PlayOnLinux/ in your home directory."
+}
diff --git a/app-emulation/playonlinux/playonlinux-4.2.1.ebuild b/app-emulation/playonlinux/playonlinux-4.2.1.ebuild
new file mode 100644
index 00000000..8b22bda7
--- /dev/null
+++ b/app-emulation/playonlinux/playonlinux-4.2.1.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/playonlinux/playonlinux-4.1.1.ebuild,v 1.1 2012/06/16 19:12:24 pacho Exp $
+
+EAPI="4"
+PYTHON_DEPEND="2"
+
+inherit eutils python games
+
+MY_PN="PlayOnLinux"
+
+DESCRIPTION="Set of scripts to easily install and use Windows games and software"
+HOMEPAGE="http://playonlinux.com/"
+SRC_URI="http://www.playonlinux.com/script_files/${MY_PN}/${PV}/${MY_PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="winbind"
+
+DEPEND=""
+RDEPEND="app-emulation/wine
+ app-arch/cabextract
+ app-arch/p7zip
+ app-arch/unzip
+ app-crypt/gnupg
+ net-analyzer/netcat6
+ dev-python/wxpython:2.8
+ || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] )
+ net-misc/wget
+ x11-apps/mesa-progs
+ x11-terms/xterm
+ media-gfx/icoutils
+ winbind? ( net-fs/samba[winbind] ) "
+
+S=${WORKDIR}/${PN}
+
+# TODO:
+# Having a real install script and let playonlinux use standard filesystem
+# architecture to prevent having everything installed into GAMES_DATADIR
+# It will let using LANGUAGES easily
+# How to deal with Microsoft Fonts installation asked every time ?
+# How to deal with wine version installed ? (have a better mgmt of system one)
+# Look at debian pkg: http://packages.debian.org/sid/playonlinux
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+ games_pkg_setup
+}
+
+src_prepare() {
+ sed -i -e "s/\(Categories=\).*/\1Game;Emulator;/" etc/PlayOnLinux.desktop \
+ || die
+ sed -e 's/PYTHON="python"/PYTHON="python2"/' -i lib/variables playonlinux || die
+ python_convert_shebangs -r 2 .
+}
+
+src_install() {
+ # all things without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins -r resources lang lib etc plugins
+
+ # bash/ install
+ exeinto "${GAMES_DATADIR}/${PN}/bash"
+ doexe bash/*
+ #exeinto "${GAMES_DATADIR}/${PN}/bash/terminals"
+ #doexe bash/terminals/*
+ exeinto "${GAMES_DATADIR}/${PN}/bash/expert"
+ doexe bash/expert/*
+
+ # python/ install
+ exeinto "${GAMES_DATADIR}/${PN}/python"
+ doexe python/*
+ # sub dir without exec permissions
+ insinto "${GAMES_DATADIR}/${PN}/python"
+ doins -r python/lib
+
+ # main executable files
+ exeinto "${GAMES_DATADIR}/${PN}"
+ doexe ${PN}{,-pkg,-bash,-shell,-url_handler}
+
+ # making a script to run playonlinux from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN} \$*" >> ${PN}_launcher
+ newgamesbin playonlinux_launcher playonlinux
+
+ # making a script to run playonlinux-cmd from ${GAMES_BINDIR}
+ echo "#!/bin/bash" > ${PN}_cmd_launcher
+ echo "cd \"${GAMES_DATADIR}/${PN}\" && ./${PN}-cmd \$*" >> ${PN}_cmd_launcher
+ newgamesbin playonlinux_cmd_launcher playonlinux-cmd
+
+ dodoc CHANGELOG
+
+ doicon etc/${PN}.png
+ domenu etc/${MY_PN}.desktop
+ prepgamesdirs
+
+ if [ -f "/usr/bin/python2.6" ]; then
+ addwrite /usr/local/bin/
+ if [ ! -f "/usr/local/bin/python2.6" ]; then
+ dosym /usr/bin/python2.6 /usr/local/bin/ || die
+ else
+ echo "The file already existed"
+ rm /usr/local/bin/python2.6 || die
+ dosym /usr/bin/python2.6 /usr/local/bin/ || die
+ echo "Replaced it"
+ fi
+ if [ ! -f "/usr/local/bin/python2.6-config" ]; then
+ dosym /usr/bin/python-config-2.6 /usr/local/bin/python2.6-config || die
+ else
+ echo "The file already existed"
+ rm /usr/local/bin/python2.6-config || die
+ dosym /usr/bin/python-config-2.6 /usr/local/bin/python2.6-config || die
+ echo "Replaced it"
+ fi
+ else
+ ewarn "There is no python2.6, you should emerge python2.6"
+ fi
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ python_mod_optimize "${GAMES_DATADIR}/${PN}"
+}
+
+pkg_postrm() {
+ python_mod_cleanup "${GAMES_DATADIR}/${PN}"
+
+ elog "Installed softwares and games with playonlinux have not been removed."
+ elog "To remove them, you can re-install playonlinux and remove them using it"
+ elog "or do it manually by removing .PlayOnLinux/ in your home directory."
+}
diff --git a/app-emulation/steam/Manifest b/app-emulation/steam/Manifest
new file mode 100644
index 00000000..a49b07e3
--- /dev/null
+++ b/app-emulation/steam/Manifest
@@ -0,0 +1 @@
+DIST steam_1.0.0.45.tar.gz 2340210 SHA256 58f42d2d4980dd9a66445a2b60a6d336140a6ee6171803c6f925b5d1b2462942 SHA512 a36a769478145d4e85ac051d2d3b8f27783462c9dc5f3ce6e2a8a3acbe7f92b11f026623c968c3b561142dd14cf607c179bbd4cea148f546db5208ee38a4e763 WHIRLPOOL bb48d1c6f0454c4b05dd63ecdcef3e1b11854e9874d270670d2bbad21c0bb4590bee6896e1a07b914c593428c106d82d8c683db63db807c398f371bdca8a1ff1
diff --git a/app-emulation/steam/steam-1.0.0.45.ebuild b/app-emulation/steam/steam-1.0.0.45.ebuild
new file mode 100644
index 00000000..6a1e1ba2
--- /dev/null
+++ b/app-emulation/steam/steam-1.0.0.45.ebuild
@@ -0,0 +1,41 @@
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="Digital distribution client bootstrap package"
+HOMEPAGE="http://steampowered.com/"
+SRC_URI="http://repo.steampowered.com/${PN}/pool/${PN}/s/${PN}/${PN}_${PV}.tar.gz"
+
+LICENSE="custom"
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+EMUL_X86_VER=20120520
+
+RDEPEND="
+ virtual/ttf-fonts
+ dev-util/desktop-file-utils
+ x11-themes/hicolor-icon-theme
+ net-misc/curl
+ sys-apps/dbus
+ media-libs/freetype
+ x11-libs/gdk-pixbuf
+ gnome-extra/zenity
+ amd64? (
+ >=app-emulation/emul-linux-x86-xlibs-${EMUL_X86_VER}
+ >=app-emulation/emul-linux-x86-soundlibs-${EMUL_X86_VER}
+ >=app-emulation/emul-linux-x86-opengl-${EMUL_X86_VER}
+ )
+ x86? (
+ media-libs/alsa-lib
+ media-libs/mesa
+ x11-libs/libX11
+ )"
+
+S=${WORKDIR}/${PN}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "make install failed"
+ rm -rf "${D}"/usr/bin/steamdeps || die # we don't use apt-get
+ dosym /bin/true /usr/bin/steamdeps || die # create blank steamdeps
+}